## org.eclipse.amp.agf.tree
Class ScapeTreePart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractTreeEditPart
              org.eclipse.amp.agf.tree.AgentTreePart
                  org.eclipse.amp.agf.tree.ScapeTreePart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.RequestConstants, org.eclipse.gef.TreeEditPart

    public class ScapeTreePart

extends AgentTreePart

The Class ScapeTreePart.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.amp.agf.tree.AgentTreePart
`graphicsAdapter`

Fields inherited from class org.eclipse.gef.editparts.AbstractTreeEditPart
`widget`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ScapeTreePart(ICompositionProvider compositionProvider, ILocationProvider locationProvider, IGraphProvider graphProvider, IGraphicsAdapter graphicsAdapter)`

Method Summary
`protected org.eclipse.swt.graphics.Image` `getImage()`
`protected java.util.List` `getModelChildren()`
`void` `refresh()`

Methods inherited from class org.eclipse.amp.agf.tree.AgentTreePart
`getGraphicsAdapter, getText, setModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractTreeEditPart
`addChildVisual, checkTreeItem, createEditPolicies, getDragTracker, getWidget, refreshVisuals, removeChildVisual, reorderChild, setWidget, setWidgetImage, setWidgetText`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activate, activateEditPolicies, addChild, addEditPartListener, addNotify, createChild, deactivate, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getAdapter, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refreshChildren, register, registerAccessibility, registerModel, registerVisuals, removeChild, removeEditPartListener, removeEditPolicy, removeNotify, setFlag, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel, unregisterVisuals`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ScapeTreePart

    public ScapeTreePart(ICompositionProvider compositionProvider,
                         ILocationProvider locationProvider,
                         IGraphProvider graphProvider,
                         IGraphicsAdapter graphicsAdapter)

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `refresh` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getImage

    protected org.eclipse.swt.graphics.Image getImage()

  Overrides:
    `getImage` in class `AgentTreePart`
  See Also:
    `AbstractTreeEditPart.getImage()`

### getModelChildren

    protected java.util.List getModelChildren()

  Overrides:
    `getModelChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`
  Returns:
  See Also:
    `AbstractEditPart.getModelChildren()`